Bug 7857 - Pause-Play bug
: Pause-Play bug
Status: CLOSED FIXED
: Sisyphus
(All bugs in Sisyphus/xmms)
: unstable
: all Linux
: P2 normal
Assigned To:
:
: http://bugs.xmms.org/show_bug.cgi?id=...
:
:
: 7371
  Show dependency tree
 
Reported: 2005-09-04 17:24 by
Modified: 2007-10-23 15:17 (History)


Attachments
This patch fixes alsa+dmix xmms-pause bug in xmms-out-alsa (1.12 KB, patch)
2005-11-18 18:30, Artem Delendik
no flags Details | Diff


Note

You need to log in before you can comment on or make changes to this bug.


Description From 2005-09-04 17:24:08
Не работает возобновление проигрывания после паузы
Steps to Reproduce:
1. play
2. pause
3. pause
Actual Results:  
nothing


Expected Results:  
continue playing
------- Comment #1 From 2005-09-04 20:40:30 -------
Как-то бы поподробней -- что играем, через что (oss/alsa/...), какой драйвер?

А то только WORKSFORME остаётся.

PS: про то, что в gui какие-то трудноловимые глюки (подозреваю, то ли в
crossfade, то ли в rusxmms) есть -- догадываюсь.
------- Comment #2 From 2005-09-04 22:15:06 -------
Не это ли?

On Sun, Sep 04, 2005 at 09:49:50PM +0400, Denis Smirnov wrote:
> http://alsa.opensrc.org/index.php?page=DmixPlugin
> ищи XMMS -- там сказано про известную проблему с XMMS+dmix,
> решается элементарно.  Это та грабля?

Может и та... не помню, совпало ли с переездом на 1.0.9 
увеличение проблем (40% -- что нет).

---
Comment by Thomas De Schampheleire:

I have a VIA VT82xxx chipset, but I found that a smaller buffer
size in .asoundrc caused XMMS to hang on high load or IO-transfer
(presumably because the buffer has run empty). Making the buffer
size bigger resolved this problem, even above 6653. I currently
have 16384 which works well.

<code>buffer_size 16384</code>

In XMMS I use ALSA output, with Audio device: "pcm.ossmix", and
Mixer device: PCM.
---
------- Comment #3 From 2005-09-05 03:10:32 -------
(In reply to comment #1) 
> Как-то бы поподробней -- что играем, через что (oss/alsa/...), какой драйвер? 
 
Играем mp3 через alsa: intel8x0 
 
[sin@base RPMS.update.old]$ rpm -qa|grep xmms 
xmms-out-alsa-1.2.10-alt8 
xmms-in-vorbis-1.2.10-alt8 
xmms-1.2.10-alt8 
libxmms-1.2.10-alt8 
xmms-input-faad-2.0-alt1.2_20040923 
xmms-in-flac-1.1.2-alt2 
xmms-in-wma-1.0.4-alt1 
 
В общем я нашел из-за чего происходит: 
только в alsa, и при том только тогда, когда в настройках выбрано устройство 
default, а не hw:0,0. Во втором случае работает. 
 
------- Comment #4 From 2005-09-05 09:50:54 -------
Точно dmix :-(

Граждане, чо делать будем?  Если на этом только xmms поскользнулся -- ну впишу в
README.ALT или плагин попробую хакнуть, но вряд ли он такой исключительный.
------- Comment #5 From 2005-11-18 18:30:44 -------
Created an attachment (id=1254) [details]
This patch fixes alsa+dmix xmms-pause bug in xmms-out-alsa

Переписал функцию alsa_pause  в  Output/alsa/audio.c
Не совсем корректна была.
Причиной отказа паузы c dmix было то, что в dmix не реализована snd_pcm_pause -
но можно и без нее работать (подобно MPlayer) - см. патч. 

Rgds, Artem.
------- Comment #6 From 2005-11-24 14:49:51 -------
Вот спасибо!

2 gns: ты сейчас с xmms возишься или мне попробовать На Досуге (TM) мержить сборки?
------- Comment #7 From 2006-06-05 23:07:07 -------
Передал в апстрим и приложил в 1.2.10-alt11.  На snd-emu10k1 проблемы нет
(впрочем, не помню, ловил ли дома), завтра ещё на intel8x0 проверю.